export default class PerformanceMonitor {
    private _startTime;
    readonly genesis: number;
    /**
     * Returns the current mark
     */
    get current_mark(): number;
    /**
     * Sets the mark
     */
    mark(): void;
    /**
     * Returns the amount of time passed in ms since the last mark or the construction of the instance
     *
     * @param decimals
     */
    measure(decimals?: number): number;
    /**
     * Returns the amount of time passed in ms since the last mark or the construction of the instance
     * and then advanced the mark to now
     *
     * @param decimals
     */
    measureAndMark(decimals?: number): number;
    /**
     * Returns the amount of time passes in ms since the instance was created
     *
     * @param decimals
     */
    total(decimals?: number): number;
    /**
     * Truncates the number to the specified decimal places
     *
     * @param ms
     * @param decimals
     * @private
     */
    private format;
}
export { PerformanceMonitor };
